<?xml version="1.0" encoding="utf-8"?>
<odoo>
	<template id="quick_view_modal"  inherit_id="emipro_theme_base.theme_quickview_template">
		<xpath expr="//div[hasclass('oe_theme_quickview_container')]" position="inside">
		<div class="mask"></div>
		<div class="product_quick_view_class oe_website_sale">
			<div class="container">
				<div itemscope="itemscope" itemtype="http://schema.org/Product">
					<div class="t_close qv_close">
						<span>x</span>
					</div>
					<div class="row">
						<div class="col-md-7">
							<t t-set="variant_img"
								t-value="any(product.mapped('product_variant_ids.image_variant'))" />
							<t t-set="image_ids" t-value="product.product_image_ids" />
							<div id="o-carousel-product" class="carousel slide"
								data-ride="carousel" data-interval="0">
								<div class="carousel-outer">
									<div class="carousel-inner">
										<div t-if="variant_img" class="carousel-item active"
											itemprop="image" t-field="product[:1].product_variant_id.image"
											t-options="{'widget': 'image', 'class': 'product_detail_img js_variant_img', 'alt-field': 'name', 'zoom': 'image', 'unique': str(product['__last_update']) + (str(product.product_variant_id['__last_update']) or '')}" />
										<div t-attf-class="carousel-item#{'' if variant_img else ' active'}"
											itemprop="image" t-field="product.image"
											t-options="{'widget': 'image', 'class': 'product_detail_img', 'alt-field': 'name', 'zoom': 'image', 'unique': product['__last_update']}" />
										<t t-if="len(image_ids)" t-foreach="image_ids" t-as="pimg">
											<div class="carousel-item" t-field="pimg.image"
												t-options='{"widget": "image", "class": "product_detail_img", "alt-field": "name", "zoom": "image" }' />
										</t>
									</div>
									<t t-if="len(image_ids) or variant_img">
										<a class="carousel-control-prev" href="#o-carousel-product"
											role="button" data-slide="prev">
											<span class="fa fa-chevron-left" role="img" aria-label="Previous"
												title="Previous" />
										</a>
										<a class="carousel-control-next" href="#o-carousel-product"
											role="button" data-slide="next">
											<span class="fa fa-chevron-right" role="img" aria-label="Next"
												title="Next" />
										</a>
									</t>
								</div>
							</div>
						</div>
						<div class="col-md-5 col-xl-5 offset-xl-0" id="product_details">
							<h3 itemprop="name" t-field="product.name"  class="t_product_name">Product Name</h3>
							<div class="o_not_editable">
								<p t-field="product.description_sale" class="text-muted t_prod_desc" />
							</div>
								
							<span itemprop="url" style="display:none;" t-esc="'%sshop/product/%s' % (request.httprequest.url_root, slug(product))"/>
                            <form action="/shop/cart/update" method="POST">
                               <t t-set="first_possible_combination" t-value="product._get_first_possible_combination()"/>
								<t t-set="combination_info" t-value="product._get_combination_info(first_possible_combination, add_qty=add_qty or 1, pricelist=pricelist)"/>
								<t t-set="product_variant" t-value="product.env['product.product'].browse(combination_info['product_id'])"/>

                               
                                <input type="hidden" name="csrf_token" t-att-value="request.csrf_token()" />
                                <div class="js_product js_main_product">
                                    <t t-placeholder="select">
                                        <input type="hidden" class="product_id" name="product_id" t-att-value="product.product_variant_id.id if len(product.product_variant_ids) == 1 else '0'" />
                                        <input type="hidden" class="product_template_id" name="product_template_id" t-att-value="product.id" />
                                        <t t-call="sale.variants">
                                            <t t-set="ul_class" t-value="'flex-column'" />
                                        </t>
                                    </t>
                                    <div class="css_quantity input-group oe_website_spinner" contenteditable="false" style="display:none">
										<div class="input-group-prepend">
											<a t-attf-href="#" class="btn btn-secondary js_add_cart_json" aria-label="Remove one" title="Remove one">
												<i class="fa fa-minus"/>
											</a>
										</div>
										<input type="text" class="form-control quantity" data-min="1" name="add_qty" value="1"/>
										<div class="input-group-append">
											<a t-attf-href="#" class="btn btn-secondary float_left js_add_cart_json" aria-label="Add one" title="Add one">
												<i class="fa fa-plus"/>
											</a>
										</div>
									</div>
                                    <t t-call="website_sale.product_price" />
                                    <p t-if="product.has_dynamic_attributes() or len(product.product_variant_ids) &gt; 1" class="css_not_available_msg bg-danger" style="padding: 15px;">This combination does not exist.</p>
                                    <a role="button" id="" class="btn btn-primary btn-lg mt8 js_check_product a-submit" href="#">Add to Cart</a>
                                </div>
                            </form>
						</div>
					</div>
				</div>
			</div>
		</div>
		</xpath>
	</template>

	<!-- Quick view in shop -->
	<template id="quickview_icon_shop_product_item" inherit_id="website_sale.products_item">
		<xpath expr="//div[hasclass('product_price')]" position="inside">
			<a title="Quick View" class="btn btn-secondary btn-sm quick-view-a" t-att-data-id="'%s' % product.id">
				<span class="fa fa-eye" />
			</a>
		</xpath>
	</template>
	<template id="quick_product_box" inherit_id="website.layout">
		<xpath expr="//main" position="inside">
			<div class="mask_cover"></div>
		</xpath>
	</template>
	<!-- Loading Icon For All Things -->
	<template id="load_icon_template" inherit_id="portal.frontend_layout">
		<xpath expr="//div[@id='wrapwrap']" position="after">
			<div class="d-none cus_theme_loader_layout">
				<div class="cus_theme_loader_div_layout">
					<svg version="1.1" id="Layer_1" x="0px" y="0px" width="24px"
						height="30px" viewBox="0 0 24 30" style="enable-background:new 0 0 50 50;"
						xml:space="preserve">
                        <rect x="0" y="0" width="4" height="10"
						fill="#333">
                            <animateTransform
						attributeType="xml" attributeName="transform" type="translate"
						values="0 0; 0 20; 0 0" begin="0" dur="0.6s" repeatCount="indefinite"></animateTransform>
                        </rect>
                        <rect x="10" y="0" width="4" height="10"
						fill="#333">
                            <animateTransform
						attributeType="xml" attributeName="transform" type="translate"
						values="0 0; 0 20; 0 0" begin="0.2s" dur="0.6s" repeatCount="indefinite"></animateTransform>
                        </rect>
                        <rect x="20" y="0" width="4" height="10"
						fill="#333">
                            <animateTransform
						attributeType="xml" attributeName="transform" type="translate"
						values="0 0; 0 20; 0 0" begin="0.4s" dur="0.6s" repeatCount="indefinite"></animateTransform>
                        </rect>
                    </svg>
				</div>
			</div>
		</xpath>
	</template>
</odoo>
